const mongoose = require("mongoose");
const CouponSchema = new mongoose.Schema({
  couponCode: {
    type: String,
    required: true,
  },
  percentage: {
    type: String,
    required: true,
  },
  remainingTimes: {
    type: Number,
    required: true,
  },
  numAllowed: {
    type: Number,
    required: true,
  },
});

module.exports = mongoose.model("Coupon", CouponSchema);
