const mongoose = require("mongoose");

const Schema = mongoose.Schema;

const orderSchema = new Schema({
  user: {
    type: mongoose.Types.ObjectId,
    ref: "User",
    required: true,
  },
  course: {
    type: mongoose.Types.ObjectId,
    ref: "CourseType",
    required: true,
  },
  paymentSuccess: {
    type: Boolean,
    required: true,
  },
  paymentDetail: {
    type: Object,
  },
  orderId: {
    type: String,
  },
  date_purchased: Date,
});

module.exports = mongoose.model("Order", orderSchema);
