const express = require('express') ;
const adminController = require('../controllers/admin') ;

const isAuth = require('../middleware/requirelogin') ;
const isAdmin = require('../middleware/isAdmin') ;

const router = express.Router() ;

router.post('/addSchedule' ,isAuth , isAdmin , adminController.addSchedule) ;

router.post('/editSchedule' ,isAuth , isAdmin , adminController.editSchedule) ;

router.post('/deleteSchedule' ,isAuth , isAdmin , adminController.deleteSchedule) ;

module.exports = router ;