let chai = require("chai");
let chaiHttp = require("chai-http");
let app = require("../app");
let request = require("supertest");
let authController = require("../controllers/auth");
let User = require("../models/User");

// //Assertion Style
// chai.should();
// chai.use(chaiHttp);
// describe("Testing API", () => {
//   describe("POST /signup", () => {
//     it(
//       "should return User already exist if a record found " +
//         "with the email provided",
//       (done) => {
//         chai
//           .request(app)
//           .post("/signup")
//           .end((err, response) => {
//             response.should.have.status(422);
//             response.body.should.be.a(String);
//             done();
//           });
//       }
//     );
//   });
// });

test("should ", (done) => {
  request(app)
    .post("/signup")
    .send({ email: "testtt@mail.com", password: "password@11" })
    .then(() => {
      request(app).get();
    });
});
