const mongoose = require('mongoose') ;

const Schema = mongoose.Schema ;

const querySchema = new Schema({
    fullName : {
        type :String ,
        required : true 
    } ,
    phoneNumber : {
        type : String , 
        required : true 
    } ,
    email : {
        type:String , 
        required: true 
    } ,
    query : {
        type:String ,
        required : true 
    } ,
    numAsked : {
        type:Number ,
        required : true 
    } ,
    other : {
        type : Boolean ,
        require : true
    } ,
    graduationYear : {
        type : Number ,
        required :true
    }
}) ;

module.exports = mongoose.model('Query' , querySchema) ;