const express = require("express");

const authMiddleware = require("../middleware/requirelogin");

const paymentController = require("../controllers/payment");

const router = express.Router();

router.post("/verification", paymentController.postVerify);

router.post("/razorpay", authMiddleware, paymentController.postRazorpay);

router.post("/amount", paymentController.amount);

module.exports = router;
